print("Adding more Lua functions")

function minStage(newStage)
    if getStage() <= newStage then
        setStage(newStage);
    end
end

function addCity(marker, name, towncode, towntext, posx, posy, radius)
    return addMission(marker, name, towncode, towntext,  posx, posy, radius, 2, -1, -1, -1, false, false, true, 0, -1, false);
end

function addHiddenCity(marker, name, towncode, towntext, posx, posy, radius)
    return addMission(marker, name, towncode, towntext,  posx, posy, radius, 0, -1, -1, -1, false, false, true, 0, -1, false);
end
 
function addNoteMission(name, notetext, townfound, preq1, preq2)
    return addMission(-1, name, "print(\"note\")", notetext,  0, 0, 1, 1, townfound,  preq1, preq2, false, true, false, 0, -1, true);
end